MySQL++: mysqlpp::FieldTypes Class Reference
mysqlpp::FieldTypes Class Reference

A vector of SQL field types. More...

`#include <field_types.h>`

Inheritance diagram for mysqlpp::FieldTypes:
[legend]
Collaboration diagram for mysqlpp::FieldTypes:
[legend]

## Public Member Functions

| FieldTypes ()
| Default constructor.
| FieldTypes (const ResultBase *res)
| Create list of field types from a result set.
| FieldTypes (int i)
| Create fixed-size list of uninitialized field types.
FieldTypes & | operator= (const ResultBase *res)
| Initialize field list based on a result set.
FieldTypes & | operator= (int i)
| Insert a given number of uninitialized field type objects at the beginning of the list. More...

## Detailed Description

A vector of SQL field types.

## Member Function Documentation

## operator=()

FieldTypes& mysqlpp::FieldTypes::operator= | ( | int | i | ) |

inline

Insert a given number of uninitialized field type objects at the beginning of the list.

Parameters

  i | number of field type objects to insert

The documentation for this class was generated from the following files:

- field_types.h
- field_types.cpp